//
//  Item.h
//  Demine
//
//  Created by Michael Heyeck on 5/3/10.
//  Copyright 2010 Fair Oaks Labs, Inc.. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <StoreKit/StoreKit.h>


@interface Item : UIViewController <SKPaymentTransactionObserver>
{
	SKProduct*			product;
	
	UITextView*			desc;
	UIButton*			button;
	UIView*				loadingView;
}

@property (nonatomic, retain) IBOutlet UITextView* desc;
@property (nonatomic, retain) IBOutlet UIButton* button;
@property (nonatomic, retain) IBOutlet UIView* loadingView;

- (IBAction)purchase:(id)sender;

- (id)initWithNibName:(NSString*)nibNameOrNil bundle:(NSBundle*)nibBundleOrNil product:(SKProduct*)aProduct;

@end
