//
//  CustomPuzzle.h
//  Demine
//
//  Created by Michael Heyeck on 4/25/10.
//  Copyright 2010 Fair Oaks Labs, Inc.. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "RootViewController.h"


@interface CustomPuzzle : UIViewController
{
	RootViewController*	target;
	
	UITextField*		width;
	UITextField*		height;
	UITextField*		mines;
	UIButton*			makeXX;
}

@property (nonatomic, retain) IBOutlet UITextField* width;
@property (nonatomic, retain) IBOutlet UITextField* height;
@property (nonatomic, retain) IBOutlet UITextField* mines;
@property (nonatomic, retain) IBOutlet UIButton* makeXX;

- (IBAction)makePuzzle:(id)sender;

- (id)initWithNibName:(NSString*)nibNameOrNil bundle:(NSBundle*)nibBundleOrNil target:(RootViewController*)target;

@end
